summaryrefslogtreecommitdiffstats
path: root/scripts/test
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test')
-rwxr-xr-xscripts/test19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/test b/scripts/test
new file mode 100755
index 00000000..853d34b4
--- /dev/null
+++ b/scripts/test
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+
+vim -N --startuptime /dev/stdout -u <(
+ echo "filetype plugin indent on"
+ echo "syntax enable"
+ echo "let &rtp='$PWD,'.&rtp"
+ cat ftdetect/polyglot.vim | grep -E 'set ft=[a-z-]+' -o | sort | uniq | awk -F '=' '{ print $2 }' | while read ft; do
+ echo "try"
+ echo " enew"
+ echo " set ft=$ft"
+ echo "catch"
+ echo " echo v:exception"
+ echo " exec ':cq!'"
+ echo "endtry"
+ done
+ echo "exec ':q!'"
+)